Bug 35395 - Kernel Panic with RAID1 on TWO IBM ATA100 Drive
Summary: Kernel Panic with RAID1 on TWO IBM ATA100 Drive
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-09 23:21 UTC by Barrow Kwan
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 22:03:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Barrow Kwan 2001-04-09 23:21:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


Try to install on TWO IBM 20G ATA100 Drive.  After installation is done, 
the machine reboot and got kernel panic.



Reproducible: Always
Steps to Reproduce:
Setup two partition on each drive ( with 18G and 1.5G )
hda1 and hdb1 has 18G
hda2 and hdb2 has 1.5G
/dev/md0 made up of hda1 and hdb1 and mount on "/"
/dev/md1 made up of hda2 and hdb2 as swap partition

Comment 1 Arjan van de Ven 2001-04-09 23:54:20 UTC
Please give me the message of the panic; without that I cannot do anything.

Comment 2 Barrow Kwan 2001-04-10 00:10:32 UTC
do_md_run() return -22
md0 stopped.
unbind<hdb1,1>
export_rdev(hdb1)
unbind<hda1,0>
export_rdev(hda1)
... autorun DONE.
LVM version 0.9.1_beta2 by Heinz Mauelshagen  (18/01/2001)
lvm -- Driver successfully initialized
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 4096 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 32768)
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem).
Red Hat nash version 0.1 starting
Loading raid1 module
raid1 personality registered
autodetecting RAID arrays
autorun ...
... autorun DONE.
EXT2-fs: unable to read superblock
isofs_read_super: bread failed, dev=09:00, iso_blknum=16, block=32
Kernel panic: VFS: Unable to mount root fs on 09:00

Comment 3 Arjan van de Ven 2001-04-10 00:12:52 UTC
root = 09:00 ?
sounds like an installerbug to me, where it put the wrong root= line in
lilo.conf.

Comment 4 Michael Fulbright 2001-04-10 14:36:28 UTC
Please attach the contents of /etc/lilo.conf.

Comment 5 Barrow Kwan 2001-04-10 16:29:31 UTC
I can't boot up the system now.  How can I get the lilo.conf for you?  please 
advise.


Comment 6 Michael Fulbright 2001-04-11 19:02:55 UTC
You can use rescue mode.

Are you installing from CDROM or network?

Comment 7 Need Real Name 2001-04-11 20:05:14 UTC
boot=/dev/md0
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux

image=/boot/vmlinuz-2.4.1-0.1.9
    label=linux
    initrd=/boot/initrd-2.4.1-0.1.9.img
    read-only
    root=/dev/md0

Comment 8 Michael Fulbright 2001-04-17 15:01:40 UTC
The lilo is correct, root is on /dev/md0, or 09:00.

It looks like the md0 array was not setup automatically by the kernel:

   do_md_run() return -22
   md0 stopped.
   unbind<hdb1,1>
   export_rdev(hdb1)
   unbind<hda1,0>
   export_rdev(hda1)
   ... autorun DONE.

Could you look at the output above the lines you put here to see if there is a
indication of why md0 wasn't started cleanly?


Comment 9 Brent Fox 2001-05-07 22:03:02 UTC
Closing due to inactivity.  Please reopen if you have any more information.


Note You need to log in before you can comment on or make changes to this bug.